Subject: Re: bug#45353: Errors in man pages

From: Helge Kreutzmann <[email-masked]>
Date: Wed, 23 Dec 2020 19:03:02 +0100

Hello Jim,
On Wed, Dec 23, 2020 at 09:14:20AM -0800, Jim Meyering wrote:
> On Wed, Dec 23, 2020 at 8:46 AM Jim Meyering <[email-masked]> wrote:
> > On Mon, Dec 21, 2020 at 8:12 AM Helge Kreutzmann <[email-masked]> wrote:
> > Thank you for the suggestions.

You are welcome. Thanks for handling them this quickly.

I'm only citing parts where necessary, not those where no question or
disagreement is raised. Where applicable, I denote that in our
translated files so the translators in question are aware of your
rationales.

> > > --
> > > Man page: grep.1
> > > Issue: Order of entrie not according to man-pages(7)
> > >
> > > "B<awk>(1), B<cmp>(1), B<diff>(1), B<find>(1), B<perl>(1), B<sed>(1), "
> > > "B<sort>(1), B<xargs>(1), B<read>(2), B<pcre>(3), B<pcresyntax>(3), "
> > > "B<pcrepattern>(3), B<terminfo>(5), B<glob>(7), B<regex>(7)."
> >
> > I read man-pages(7)'s section on SEE ALSO and found only one nit here.
> > It terminated the list with a period, while man-pages(7) says to
> > provide no period.
> >
> > > The list should be ordered by section number and then alphabetically by name.  Do not terminate this list with a period.
> >
> > If there's something else, please be more precise.

This is a nit pick by some translators. I suggest to ignore this
particular issue (I personally don't share their views anymore), I
will mark it WONTFIX in our files.

> > Actually, for each suggestion in the future, please provide an actual
> > diff. That would be far better.

As stated in the introductory text that's unfortunatly not possible.
manpages-l10n has over 100 upstreams an we do not have the man power
to provide full diffs, sorry. (And sometimes we only see that's
something is strange, but do not know how it should be).

However, do not hesitate to ask in any unclear case (when I have not 
been precise enough, despite best efforts). If in doubt I'll double
check with the original translator as well.

> > I wrote the attached patch in your name.
> > Let me know if there's anything else to be done here.

I'm fine if you put my name in there. If possible it would be fair if
you could denote (in a comment of commit message) that the input came
from several members of the manpage-l10n translation community.

Greetings

              Helge

-- 
      Dr. Helge Kreutzmann                     [email-masked]
           Dipl.-Phys.                   http://www.helgefjell.de/debian.php
        64bit GNU powered                     gpg signed mail preferred
           Help keep free software "libre": http://www.ffii.de/